Skip to content
Skip to main content
GET
https://api.us.nylas.com/v3/iam/principals

List IAM principals

Lists the principals in your organization.

To get the next page, pass next_cursor as page_token. When a response doesn't include next_cursor, there are no more results.

Requires an IAM API key with the iam.principals.read permission. Application API keys and access tokens don't work.

Parameters

Query parameters

limitinteger

The maximum number of results per page.

Default: 50
page_tokenstring

The next_cursor value from the previous response.

resource_binding_typestring

Filter by binding type. Must be supplied with resource_binding_id.

organizationapplicationworkspacegrant
resource_binding_idstring

Filter by binding ID. Must be supplied with resource_binding_type.

Responses

request_idstring

The ID of the request.

dataarray<object>
next_cursorstring

The cursor for the next page. Pass it as page_token. Not included on the last page.

GEThttps://api.us.nylas.com/v3/iam/principals?limit=50

Paste the authorization token required for this endpoint.